## PATH

set -x PATH $PATH ~/.local/bin ~/.go/bin
set -x EDITOR nano

## SSH init
set -x SSH_AUTH_SOCK $XDG_RUNTIME_DIR/ssh-agent.socket
for f in (ls .ssh/*.pub);
  set -l priv (string replace '.pub' '' $f);
  if not contains $priv (ssh-add -l | awk '{ print $3 }')
    ssh-add $priv
  end
end

## Go utils
set -x GOPATH ~/.go


function bind_bang
    switch (commandline -t)[-1]
        case "!"
            commandline -t $history[1]; commandline -f repaint
        case "*"
            commandline -i !
    end
end

function fish_user_key_bindings
    bind ! bind_bang
end
